var i=0; //用于计数，其取值在0到5之间循环，每个数字分别对应一种颜色

function Update () 
{
	if( colorbutton.cbutton ) //若按键按下，则改变颜色
	{
		i++;
		i=i%6;
	
	if(i==0) renderer.material.color = Color.blue;  //蓝色
	else if(i==1) renderer.material.color = Color.green; //绿色
	else if(i==2) renderer.material.color = Color.yellow;
	else if(i==3) renderer.material.color = Color.red;
	else if(i==4) renderer.material.color = Color.white;
	else if(i==5) renderer.material.color = Color.black;
	}
}